> [Richard Dieud](https://www.google.com) -- [05.19.21] - #Project #ProjectType #ProjectContext #CPT #Taxonomy
> To add custom data to a Project CPT, I started with an architecture based on an Enum class used to store constants and langs. I finally realized it was not the best idea. It was complex, not configurable, and hard to maintain. For example, adding a new type would have meant to change the source. To avoid that madness I decided to switch to a better and simpler solution: using taxonomies with predefined data. As such, administrators will benefit from data from the activation of the plugin and will be able to add/remove data whenever they want
